<?php

namespace Litepie\Team\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UserTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Team\Models\User $user)
    {
        return [
            'id'                => $user->getRouteKey(),
            'key'               => [
                'public'    => $user->getPublicKey(),
                'route'     => $user->getRouteKey(),
            ], 
            'team_id'           => $user->team_id,
            'user_id'           => $user->user_id,
            'role'              => $user->role,
            'url'               => [
                'public'    => trans_url('team/'.$user->getPublicKey()),
                'user'      => guard_url('team/user/'.$user->getRouteKey()),
            ], 
            'status'            => trans('app.'.$user->status),
            'created_at'        => format_date($user->created_at),
            'updated_at'        => format_date($user->updated_at),
        ];
    }
}